##======================================================================
##nbodyAcc
##======================================================================
from visual import *

#define the value of G
G=6.673e-11

## Acceleration of object a to object b due to their gravitational interaction
def acc(a, b):
    rel_pos = b.pos - a.pos
    return G*b.mass * norm(rel_pos)/rel_pos.mag2

## Accelaration of a due to all the objects b intracting with it
def totalacc (a, objlist):
    sum_acc = vector (0,0,0)
    for b in objlist:
        if (a!=b):
            sum_acc = sum_acc + acc(a, b)
    return sum_acc
