% To plot analytic solution of 2d laplace equation
%for a square of length 1
%Boundary condition phi(0,y)=0, phi(1,y)=0.7853
%                   phi(x,0)=0, phi(x,1)=0
% phi(x,y) = sum_odd sin(m*pi*y) * sinh(m*pi*x)/(m*sinh(m*pi))

x = 0:0.005:1.0; % Define the x- and y- coordinates
y = 0:0.005:1.0; % of the grid lines
[X,Y] = meshgrid(x, y);
Z=0;
%define a vector containing odd integers
for m = 1:2:202
  Z = Z + sin(m*pi*Y).*sinh(m*pi*X)/(m*sinh(m*pi));
end
surf(X,Y,Z);
%meshc(X,Y,Z);
figure;
contour(X,Y,Z);
figure;
image(Z);